<?php
$info = function()
{
    return Dever::db('collection/info')->state();
};

$type = array
(
	1 => '未回复',
	2 => '已回复',
);
return array
(
	# 表名
	'name' => 'feedback',
	# 显示给用户看的名称
	'lang' => '反馈管理',
	# 是否显示在后台菜单
	'order' => 80,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'desc',
			//'list'		=> true,
		),
		
		'uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户名',
			'default' 	=> '0',
			'desc' 		=> '请选择用户',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			//'search'	=> 'select',
			'search'    => array
            (
                'api' => 'passport/user-all',
                'col' => 'username',
                'result' => 'id',
            ),
			//'list'		=> '{uid} > 0 ? Dever::load("passport/user-one#username", {uid}) : "匿名用户"',
		),

		'shop_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '所属门店',
            'default'   => '',
            'desc'      => '所属门店',
            'match'     => 'is_numeric',
            'list'      => 'Dever::load("shop/info-find#name", {shop_id})',
        ),

		'mobile'        => array
        (
            'type'      => 'varchar-300',
            'name'      => '手机号',
            'default'   => '',
            'desc'      => '手机号',
            'match'     => 'option',
            'search'	=> 'text',
            'list'		=> true,
        ),

        'truename'        => array
        (
            'type'      => 'varchar-300',
            'name'      => '联系人姓名',
            'default'   => '',
            'desc'      => '联系人姓名',
            'match'     => 'option',
            'search'	=> 'text',
            'list'		=> true,
        ),

		'content'		=> array
		(
			'type' 		=> 'varchar-800',
			'name' 		=> '反馈内容',
			'update' 	=> 'textarea',
			'key'		=> 1,
			'default' 	=> '',
			'desc' 		=> '请输入内容',
			'match' 	=> 'is_string',
			'search'	=> 'fulltext',
			'list'		=> true,
			//'modal'		=> '查看详情',
			//'list'		=> 'Dever::load("user/lib/manage.feedback", {id})',
		),

		'type'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '是否回复',
			'default' 	=> '1',
			'desc' 		=> '是否回复',
			'match' 	=> 'is_numeric',
			'update'    => 'radio',
			'search'	=> 'select',
            'option'    => $type,
            'list'		=> true,
            'edit'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
		'edit' => false,
		'delete' => false,
	),

	# request 请求接口定义
	'request' => array
	(
		
	)
);
