<?php
$config['base'] = array
(
	'name' => '中食民安管理系统',
    'name' => '橙猫供应链平台',
	'version' => '1.0.0 Beta',

    # 设置分类组件中的栏目下的分类为系统使用的主分类
    'category' => 1,

    # 后台头部菜单
    'top' => 'passport/system_id',

    # 小程序用的是啥 developer开发版 trial体验版 formal正式版
    'wechat_applet' => 'trial',

    # 上线状态
    'status' => array
    (
        1 => '上架',
        2 => '下架',
    ),

    # 几个角色定义
    'source' => array
    (
        1 => '门店',
        2 => '仓库',
        3 => '工厂',
    ),

    # 小程序配置
    'applet' => array
    (
        'project' => 'passport/system',
        'url' => 'https://api.weixin.qq.com/sns/jscode2session',
        # 首页
        'index' => 'pages/index/index',
    ),

    # 加密key
    'encode_key' => 'dreamland1985',

    # 站点使用邮箱还是手机作为主账号
    'account' => 'mobile',

    'mobileCode' => array
    (
        # debug模式
        'debug' => true,
        # 发送短信的接口
        'url' => 'https://feginesms.market.alicloudapi.com/codeNotice',
        'url' => '',
        # 保存方式 cookie、session、db 三种可选 默认为session
        'save' => 'db',
        # 发送方法 get、post
        'method' => 'get',
        # 是否json编码
        'json' => false,
        # header信息
        'header' => 'Authorization:APPCODE ca584ae21ce54c999067e77b5995a27b',
        # body信息
        'body' => 'param={code}&phone={mobile}&sign={sign}&skin={skin}',
        # 短信模板 发送短信时，请加上参数skin=1
        'skin' => array
        (
            'reg' => 35247,
            'order' => 35246,
            'code' => 35245,
            # 需要增加一个notice
            'notice' => 38099,
            # order的反馈方案修改后
            'feedback' => 38747,
        ),
        # 短信签名
        'sign' => 47159,
        # 验证码有效期 默认10分钟
        'timeout' => 600,
        # 一天之内的最大发送次数，默认为10次
        'total' => 10,
        # 不允许多久之内重复发送，默认为60秒
        'time' => 60,
        # 验证码长度
        'length' => 6,
    ),
    # 注册成功后，调取的接口
    'regAction' => '',

    # 注册成功后，是否发送短信，直接使用skin的key即可
    //'regSendSms' => 'reg',

    # 用户中心的列表中显示的项目
    'passport_list_button' => array
    (
        /*
        'list1' => array('订单', '"order&project=act&search_option_uid={id}&oper_parent=user&oper_project=passport"'),
        'list2' => array('兑换码', '"info&project=code&search_option_create_uid={id}&oper_parent=user&oper_project=passport"'),
        'list3' => array('积分', '"user&project=score&search_option_uid={id}&oper_parent=user&oper_project=passport"'),
        */
    ),

    # 日志系统
    'log' => array
    (
        'cron' => array
        (
            'ad/lib/cron.run'
        ),
    ),

    # 积分配置
    'score' => array
    (
        # 实时增加积分开启，关闭则需要把lib/core.cron放到计划任务中
        'sync' => true,
    ),

    # 启用全站图片压缩
    //'pic' => 'yun_t1',

    # 队列
    'queue' => array
    (
        'method' => 'redis',
        'host' => 'server-redis',
        'port' => '6379',
        'password' => 'dm_redis_123',
    ),
);


# 前台通用配置
$config['template'] = array
(
    # 静态页面目录
    //'assets' => array('pc', 'mobile'),
    'assets' => 'pc',

    # 模板编译器目录
    'template' => 'pc',

    # 模板html文件的所在目录，默认为html
    'path' => 'html',

    'replace' => array
    (
        'css' => 'css/',
        'js' => 'js/',
        'images' => 'images/',
        'script' => '../script/',
        'static' => './static/',
    ),

    # 编译器与模板对应关系目录，定义之后，代表可以完全不改动前端的代码，可以为空，为空则一一对应，参考manage
    'relation' => array
    (
        # 首页启动屏幕
        'home' => 'home',
    ),
    
);
return $config;