<?php

$home_top_type = array
(
	1 => '显示',
	2 => '不显示',
);

return array
(
	# 表名
	'name' => 'config',
	# 显示给用户看的名称
	'lang' => '网站基础信息',
	'order' => 1,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '平台ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
		),
		
		'hr1'		=> array
		(
			'name' 		=> '网站基本信息',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '网站名称',
			'default' 	=> '',
			'desc' 		=> '请输入网站名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

        'site'      => array
        (
            'type'      => 'varchar-200',
            'name'      => '网站地址',
            'default'   => '',
            'desc'      => '网站地址',
            'match'     => 'is_string',
            'update'    => 'text',
        ),

		'logo'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '网站LOGO',
			'default' 	=> '',
			'desc' 		=> '平台LOGO',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
		),

        'hr2'       => array
        (
            'name'      => '网站SEO信息',
            'class'     => '',//本项必须填写
            'attr'      => '',
        ),
        
        'seo_keyword'      => array
        (
            'type'      => 'varchar-1000',
            'name'      => 'SEO关键词',
            'default'   => '',
            'desc'      => 'SEO关键词',
            'match'     => 'option',
            'update'    => 'textarea',
        ),

        'seo_desc'      => array
        (
            'type'      => 'varchar-1000',
            'name'      => 'SEO描述',
            'default'   => '',
            'desc'      => 'SEO描述',
            'match'     => 'option',
            'update'    => 'textarea',
        ),

        'hr3'       => array
        (
            'name'      => '联系信息',
            'class'     => '',//本项必须填写
            'attr'      => '',
        ),

        'phone'      => array
        (
            'type'      => 'varchar-100',
            'name'      => '客服电话',
            'default'   => '',
            'desc'      => '请输入客服电话',
            'match'     => 'option',
            'update'    => 'text',
        ),

        'worktime'      => array
        (
            'type'      => 'varchar-100',
            'name'      => '工作时间',
            'default'   => '',
            'desc'      => '请输入工作时间',
            'match'     => 'option',
            'update'    => 'text',
        ),

		'wechat'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '公众号',
			'default' 	=> '',
			'desc' 		=> '公众号',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150*150',
		),

        'foot'      => array
        (
            'type'      => 'text-255',
            'name'      => '底部信息',
            'default'   => '',
            'desc'      => '底部信息',
            'match'     => 'option',
            'update'    => 'editor',
            'key'       => '1',
        ),
		
        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	'default' => array
	(
		'col' => 'name,cdate',
		'value' => array
		(
			'"厨人易料",' . time(),
		),
	),

	'manage' => array
	(
		# 后台管理不要列表页
		'list' => 'update',
	),
);
