<?php

$home_top_type = array
(
    1 => '显示',
    2 => '不显示',
);

return array
(
    # 表名
    'name' => 'sell_config',
    # 显示给用户看的名称
    'lang' => '零售小程序信息',
    'order' => 1,
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => '平台ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
        ),

        'name'      => array
        (
            'type'      => 'varchar-32',
            'name'      => '小程序名称',
            'default'   => '',
            'desc'      => '小程序名称',
            'match'     => 'is_string',
            'update'    => 'text',
        ),
        
        'info'      => array
        (
            'type'      => 'varchar-1000',
            'name'      => '小程序业务描述',
            'default'   => '',
            'desc'      => '小程序业务描述',
            'match'     => 'option',
            'update'    => 'textarea',
        ),

        'logo'      => array
        (
            'type'      => 'varchar-150',
            'name'      => '小程序LOGO',
            'default'   => '',
            'desc'      => '小程序LOGO',
            'match'     => 'option',
            'update'    => 'image',
            'key'       => '1',
            'place'     => '150',
        ),

        'applet'       => array
        (
            'type'      => 'varchar-150',
            'name'      => '小程序二维码',
            'default'   => '',
            'desc'      => '小程序二维码',
            'match'     => 'option',
            'update'    => 'image',
            'key'       => '1',
            'place'     => '150*150',
        ),

        'phone'      => array
        (
            'type'      => 'varchar-100',
            'name'      => '客服电话',
            'default'   => '',
            'desc'      => '请输入客服电话',
            'match'     => 'option',
            'update'    => 'text',
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),

        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '录入时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
        ),
    ),

    'default' => array
    (
        'col' => 'name,info,cdate',
        'value' => array
        (
            '"零售小程序","零售小程序",' . time(),
        ),
    ),

    'manage' => array
    (
        # 后台管理不要列表页
        'list' => 'update',
    ),
);
