<?php
# 配送服务商类型
$type = array
(
    1 => '物流',
    2 => '外卖',
);

return array
(
    # 表名
    'name' => 'service',
    # 显示给用户看的名称
    'lang' => '配送服务商',
    # 后台菜单排序
    'order' => -1,
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'desc',
        ),
        
        'name'      => array
        (
            'type'      => 'varchar-200',
            'name'      => '配送服务商名称',
            'default'   => '',
            'desc'      => '配送服务商名称',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'number'      => array
        (
            'type'      => 'varchar-100',
            'name'      => '服务商代号-用来根据接口获取物流信息',
            'default'   => '',
            'desc'      => '服务商代号',
            'match'     => 'option',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'type'        => array
        (
            'type'      => 'int-11',
            'name'      => '服务商类型',
            'default'   => '1',
            'desc'      => '服务商类型',
            'match'     => 'is_numeric',
            'update'  => 'select',
            'option'    => $type,
            'search'    => 'select',
            'list'      => true,
            'edit'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        
    ),

    'request' => array
    (
        
    ),
);
