-- phpMyAdmin SQL Dump
-- version 4.8.3
-- https://www.phpmyadmin.net/
--
-- 主机： web-mysql
-- 生成日期： 2021-10-09 10:59:07
-- 服务器版本： 10.1.32-MariaDB
-- PHP 版本： 7.3.22

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- 数据库： `churen`
--
CREATE DATABASE IF NOT EXISTS `churen` DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci;
USE `churen`;

-- --------------------------------------------------------

--
-- 表的结构 `churen_manage_api`
--

DROP TABLE IF EXISTS `churen_manage_api`;
CREATE TABLE `churen_manage_api` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `name` varchar(30) DEFAULT NULL COMMENT '接口名称',
  `type` tinyint(1) NOT NULL DEFAULT '1' COMMENT '接口类型',
  `project` varchar(30) DEFAULT NULL COMMENT '所属项目',
  `site` varchar(500) DEFAULT NULL COMMENT '接口地址',
  `reorder` int(11) NOT NULL DEFAULT '1' COMMENT '排序',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '数据状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '录入时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `churen_manage_api`
--

INSERT INTO `churen_manage_api` (`id`, `name`, `type`, `project`, `site`, `reorder`, `state`, `cdate`) VALUES
(1, '门店首页', 1, 'shop', 'main.home', 1, 1, 1633692714),
(2, 'area/api.get', 1, 'area', 'api.get', 1, 1, 1633749127),
(3, '获取用户信息', 1, 'shop', 'main.user', 1, 1, 1633760009),
(4, '合作门店申请', 1, 'shop', 'main.apply', 1, 1, 1633760302),
(5, '获取门店数据', 1, 'shop', 'main.getShop', 1, 1, 1633762528),
(6, 'upload/view.files', 1, 'upload', 'view.files', 1, 1, 1633764380),
(7, '获取商品详情', 1, 'shop', 'buy.getGoodsInfo', 1, 1, 1633770366),
(8, '获取购物车', 1, 'shop', 'buy.getCart', 1, 1, 1633776284),
(9, '添加购物车', 1, 'shop', 'buy.addCart', 1, 1, 1633776338),
(10, '清空购物车', 1, 'shop', 'buy.dropCart', 1, 1, 1633776702),
(11, '更新购物车', 1, 'shop', 'buy.upCart', 1, 1, 1633776906);

-- --------------------------------------------------------

--
-- 表的结构 `churen_manage_api_request`
--

DROP TABLE IF EXISTS `churen_manage_api_request`;
CREATE TABLE `churen_manage_api_request` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `api_id` int(11) NOT NULL DEFAULT '0' COMMENT '接口ID',
  `parent_id` int(11) NOT NULL DEFAULT '-1' COMMENT '上级ID',
  `name` varchar(50) DEFAULT NULL COMMENT '字段',
  `type` varchar(50) DEFAULT NULL COMMENT '类型',
  `desc` text COMMENT '描述',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '数据状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '操作时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `churen_manage_api_request`
--

INSERT INTO `churen_manage_api_request` (`id`, `api_id`, `parent_id`, `name`, `type`, `desc`, `state`, `cdate`) VALUES
(1, 2, -1, 'api_get', 'string', NULL, 1, 1633749127),
(2, 2, -1, 'level_total', 'string', '2', 1, 1633749127),
(3, 2, -1, 'level_search', 'string', '1', 1, 1633749127),
(4, 2, -1, 'level_id', 'int', '0', 1, 1633749127),
(5, 2, -1, 'level_num', 'string', '1', 1, 1633749127),
(6, 2, -1, 'level_param', 'string', NULL, 1, 1633749127),
(7, 2, -1, '_', 'string', '1633749127298', 1, 1633749127),
(8, 4, -1, 'name', 'string', '测试', 1, 1633760302),
(9, 4, -1, 'mobile', 'string', '15810090845', 1, 1633760302),
(10, 4, -1, 'city', 'string', '110100', 1, 1633760302),
(11, 5, -1, 'lng', 'string', '当前用户的坐标纬度', 1, 1633762528),
(12, 5, -1, 'lat', 'string', '当前用户的坐标经度', 1, 1633762528),
(13, 6, -1, 'view_files', 'string', NULL, 1, 1633764380),
(14, 6, -1, 'key', 'string', '1', 1, 1633764380),
(15, 6, -1, 'cur', 'string', NULL, 1, 1633764380),
(16, 6, -1, 'value', 'string', NULL, 1, 1633764380),
(17, 6, -1, 'upload_search', 'string', 'shop-focus.pic', 1, 1633764380),
(18, 6, -1, 'name', 'string', NULL, 1, 1633764382),
(19, 6, -1, 'cate', 'string', '1', 1, 1633764382),
(20, 6, -1, 'tag', 'string', NULL, 1, 1633764382),
(21, 6, -1, 'pg', 'string', '1', 1, 1633764382),
(22, 6, -1, 'state', 'string', '1', 1, 1633764382),
(23, 7, -1, 'goods_id', 'int', '商品id', 1, 1633770366),
(24, 7, -1, 'shop_id', 'int', '店铺id', 1, 1633770366),
(25, 8, -1, 'shop_id', 'int', '1', 1, 1633776284),
(26, 9, -1, 'shop_id', 'int', '1', 1, 1633776338),
(27, 9, -1, 'goods_id', 'int', '10000001', 1, 1633776338),
(28, 9, -1, 'sku_id', 'int', NULL, 1, 1633776374),
(29, 9, -1, 'num', 'string', '1', 1, 1633776374),
(33, 10, -1, 'shop_id', 'int', '1', 1, 1633776702),
(37, 11, -1, 'shop_id', 'int', '1', 1, 1633776906),
(40, 11, -1, 'num', 'string', '11', 1, 1633776906),
(41, 11, -1, 'id', 'int', '1', 1, 1633776906);

-- --------------------------------------------------------

--
-- 表的结构 `churen_manage_api_response`
--

DROP TABLE IF EXISTS `churen_manage_api_response`;
CREATE TABLE `churen_manage_api_response` (
  `id` int(11) UNSIGNED NOT NULL COMMENT 'ID',
  `api_id` int(11) NOT NULL DEFAULT '0' COMMENT '接口ID',
  `parent_id` int(11) NOT NULL DEFAULT '-1' COMMENT '上级ID',
  `name` varchar(50) DEFAULT NULL COMMENT '字段',
  `type` varchar(50) DEFAULT NULL COMMENT '类型',
  `desc` text COMMENT '描述',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '数据状态',
  `cdate` int(11) NOT NULL DEFAULT '0' COMMENT '操作时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- 转存表中的数据 `churen_manage_api_response`
--

INSERT INTO `churen_manage_api_response` (`id`, `api_id`, `parent_id`, `name`, `type`, `desc`, `state`, `cdate`) VALUES
(1, 1, -1, 'focus', 'string', 'array:焦点图', 1, 1633692714),
(2, 1, 1, 'id', 'int', '1', 1, 1633692714),
(3, 1, 1, 'name', 'string', '13213', 1, 1633692714),
(4, 1, 1, 'type', 'string', '1', 1, 1633692714),
(5, 1, 1, 'link', 'string', '32131', 1, 1633692714),
(6, 1, 1, 'location', 'string', '1', 1, 1633692714),
(7, 1, 1, 'pic', 'string', '11', 1, 1633692714),
(8, 1, 1, 'reorder', 'string', '1', 1, 1633692714),
(9, 1, 1, 'state', 'string', '1', 1, 1633692714),
(10, 1, 1, 'cdate', 'string', '1633690424', 1, 1633692714),
(11, 2, -1, 'level_total', 'string', '2', 1, 1633749127),
(12, 2, -1, 'list', 'string', 'array:list', 1, 1633749127),
(13, 2, 12, 'value', 'string', '-1', 1, 1633749127),
(14, 2, 12, 'name', 'string', '省份选择', 1, 1633749127),
(15, 2, 12, 'id', 'int', '110000', 1, 1633749177),
(16, 3, -1, 'user', 'string', 'array:当前登录的用户信息', 1, 1633760009),
(17, 3, 16, 'id', 'int', '1', 1, 1633760009),
(18, 3, 16, 'username', 'string', '测试用户', 1, 1633760009),
(19, 3, 16, 'avatar', 'string', NULL, 1, 1633760009),
(20, 3, 16, 'sex', 'string', '3', 1, 1633760009),
(21, 3, 16, 'truename', 'string', '测试用户', 1, 1633760009),
(22, 3, 16, 'area', 'string', NULL, 1, 1633760009),
(23, 3, 16, 'mobile', 'string', NULL, 1, 1633760009),
(24, 3, 16, 'area_id', 'int', '110000,-1', 1, 1633760009),
(25, 3, 16, 'address', 'string', NULL, 1, 1633760009),
(26, 3, 16, 'address_contact', 'string', NULL, 1, 1633760009),
(27, 3, 16, 'address_mobile', 'string', NULL, 1, 1633760009),
(28, 3, 16, 'info', 'string', NULL, 1, 1633760009),
(29, 3, 16, 'title', 'string', NULL, 1, 1633760009),
(30, 3, 16, 'birthday', 'string', NULL, 1, 1633760009),
(31, 3, 16, 'avatar_id', 'int', '1', 1, 1633760009),
(32, 3, 16, 'name', 'string', '测试用户', 1, 1633760009),
(33, 3, 16, 'add', 'string', '测试用户(未知)', 1, 1633760009),
(34, 3, 16, 'uid', 'int', '1', 1, 1633760009),
(35, 3, -1, 'config', 'string', 'array:站点信息', 1, 1633760149),
(36, 3, 35, 'id', 'int', '1', 1, 1633760149),
(37, 3, 35, 'name', 'string', '厨人易料', 1, 1633760149),
(38, 3, 35, 'info', 'string', '厨人易料', 1, 1633760149),
(39, 3, 35, 'logo', 'string', NULL, 1, 1633760149),
(40, 3, 35, 'km', 'string', NULL, 1, 1633760149),
(41, 3, 35, 'video', 'int', NULL, 1, 1633760149),
(42, 3, 35, 'file', 'string', NULL, 1, 1633760149),
(43, 3, 35, 'rule', 'string', NULL, 1, 1633760149),
(44, 3, 35, 'seo_title', 'string', NULL, 1, 1633760149),
(45, 3, 35, 'seo_keyword', 'string', NULL, 1, 1633760149),
(46, 3, 35, 'seo_desc', 'string', NULL, 1, 1633760149),
(47, 3, 35, 'phone', 'string', NULL, 1, 1633760149),
(48, 3, 35, 'worktime', 'string', NULL, 1, 1633760149),
(49, 3, 35, 'wechat', 'string', NULL, 1, 1633760149),
(50, 3, 35, 'sell_applet', 'string', NULL, 1, 1633760149),
(51, 3, 35, 'foot', 'string', NULL, 1, 1633760149),
(52, 3, 35, 'cdate', 'string', '1633689107', 1, 1633760149),
(53, 3, 35, 'state', 'string', '1', 1, 1633760149),
(54, 4, -1, 'msg', 'string', '提交成功，我们会在3个工作日内与您联系，感谢您的信任。', 1, 1633760790),
(55, 5, -1, 'status', 'int', '数据状态1为找到5公里范围内店铺了，2为未找到', 1, 1633762528),
(56, 5, -1, 'list', 'array', '店铺列表，与店铺信息结构相同', 1, 1633762528),
(57, 5, 56, 'id', 'int', '1', 1, 1633762551),
(58, 5, 56, 'uid', 'int', '1', 1, 1633762551),
(59, 5, 56, 'name', 'string', '测试', 1, 1633762551),
(60, 5, 56, 'truename', 'string', '测试', 1, 1633762551),
(61, 5, 56, 'mobile', 'string', '15810090845', 1, 1633762551),
(62, 5, 56, 'area', 'string', '110000,110100', 1, 1633762551),
(63, 5, 56, 'province', 'string', '110000', 1, 1633762551),
(64, 5, 56, 'city', 'string', '110100', 1, 1633762551),
(65, 5, 56, 'map', 'string', '永顺西里,116.647127,39.916798,18', 1, 1633762551),
(66, 5, 56, 'lng', 'string', '116.407526', 1, 1633762551),
(67, 5, 56, 'lat', 'string', '39.904030', 1, 1633762551),
(68, 5, 56, 'address', 'string', NULL, 1, 1633762551),
(69, 5, 56, 'open', 'string', '1', 1, 1633762551),
(70, 5, 56, 'method', 'string', '3', 1, 1633762551),
(71, 5, 56, 'worktime', 'string', NULL, 1, 1633762551),
(72, 5, 56, 'gotime', 'string', NULL, 1, 1633762551),
(73, 5, 56, 'license', 'string', NULL, 1, 1633762551),
(74, 5, 56, 'company_name', 'string', NULL, 1, 1633762551),
(75, 5, 56, 'idcard_front', 'int', NULL, 1, 1633762551),
(76, 5, 56, 'idcard_back', 'int', NULL, 1, 1633762551),
(77, 5, 56, 'jy_license', 'string', NULL, 1, 1633762551),
(78, 5, 56, 'food_license', 'string', NULL, 1, 1633762551),
(79, 5, 56, 'coupon_city', 'string', '1', 1, 1633762551),
(80, 5, 56, 'coupon_share', 'string', '1', 1, 1633762551),
(81, 5, 56, 'coupon_tg', 'string', '1', 1, 1633762551),
(82, 5, 56, 'status', 'string', '1', 1, 1633762551),
(83, 5, 56, 'state', 'string', '1', 1, 1633762551),
(84, 5, 56, 'cdate', 'string', '1633761983', 1, 1633762551),
(85, 5, 56, 'distance', 'string', '26680.234291646848', 1, 1633762551),
(86, 5, -1, 'shop', 'array', 'array:当前店铺信息', 1, 1633764272),
(87, 5, 86, 'id', 'int', '店铺id', 1, 1633764272),
(88, 5, 86, 'uid', 'int', '用户id', 1, 1633764272),
(89, 5, 86, 'name', 'string', '店铺名称', 1, 1633764272),
(90, 5, 86, 'truename', 'string', '真实姓名', 1, 1633764272),
(91, 5, 86, 'mobile', 'string', '手机号', 1, 1633764272),
(92, 5, 86, 'area', 'string', '地区编码', 1, 1633764272),
(93, 5, 86, 'province', 'string', '省份编码', 1, 1633764272),
(94, 5, 86, 'city', 'string', '城市编码', 1, 1633764272),
(95, 5, 86, 'map', 'string', '坐标点', 1, 1633764272),
(96, 5, 86, 'lng', 'string', '经度', 1, 1633764272),
(97, 5, 86, 'lat', 'string', '纬度', 1, 1633764272),
(98, 5, 86, 'address', 'string', '地址', 1, 1633764272),
(99, 5, 86, 'open', 'string', '是否开门1开业，2关门', 1, 1633764272),
(100, 5, 86, 'method', 'string', '门店能力1自提，2配送，3自提+配送', 1, 1633764272),
(101, 5, 86, 'worktime', 'string', '营业时间', 1, 1633764272),
(102, 5, 86, 'gotime', 'string', '外送时间', 1, 1633764272),
(103, 5, 86, 'license', 'string', '营业执照', 1, 1633764272),
(104, 5, 86, 'company_name', 'string', '公司名称', 1, 1633764272),
(105, 5, 86, 'idcard_front', 'string', '身份证正面', 1, 1633764272),
(106, 5, 86, 'idcard_back', 'string', '身份证背面', 1, 1633764272),
(107, 5, 86, 'jy_license', 'string', '经营许可证', 1, 1633764272),
(108, 5, 86, 'food_license', 'string', '食品许可证', 1, 1633764272),
(109, 5, 86, 'coupon_city', 'string', '是否参数同城活动', 1, 1633764272),
(110, 5, 86, 'coupon_share', 'string', '是否参与分享活动', 1, 1633764272),
(111, 5, 86, 'coupon_tg', 'string', '是否参与推广员活动', 1, 1633764272),
(112, 5, 86, 'status', 'string', '合作状态1是合作中2是终止合作3是正在申请合作', 1, 1633764272),
(113, 5, 86, 'state', 'string', '回收站状态', 1, 1633764272),
(114, 5, 86, 'cdate', 'string', '申请合作时间戳', 1, 1633764272),
(115, 5, 86, 'distance', 'string', '距离公里数', 1, 1633764272),
(116, 5, -1, 'focus', 'array', 'array:焦点图', 1, 1633764272),
(117, 5, -1, 'goods', 'array', 'array:商品列表', 1, 1633764333),
(118, 5, 117, 'cate', 'array', 'array:商品分类', 1, 1633764333),
(119, 5, 118, 'id', 'int', '分类id', 1, 1633764333),
(120, 5, 118, 'name', 'string', '分类名称', 1, 1633764333),
(121, 5, 118, 'data', 'array', 'array:商品数据，具体结构见商品详细信息', 1, 1633764333),
(122, 5, 116, 'id', 'int', '2', 1, 1633764437),
(123, 5, 116, 'name', 'string', '名称', 1, 1633764437),
(124, 5, 116, 'type', 'string', '类型', 1, 1633764437),
(125, 5, 116, 'link', 'string', '链接', 1, 1633764437),
(126, 5, 116, 'location', 'string', '位置1是首页2是商品列表页', 1, 1633764437),
(127, 5, 116, 'pic', 'string', '焦点图图片', 1, 1633764437),
(128, 5, 116, 'reorder', 'string', '排序', 1, 1633764437),
(129, 5, 116, 'state', 'string', '回收站状态', 1, 1633764437),
(130, 5, 116, 'cdate', 'string', '创建时间戳', 1, 1633764437),
(166, 7, -1, 'goods', 'string', 'array:goods', 1, 1633771215),
(167, 7, 166, 'id', 'int', '10000000', 1, 1633771215),
(168, 7, 166, 'name', 'string', '商品名称', 1, 1633771215),
(169, 7, 166, 'price_type', 'string', '价格类型1是普通售价，2是sku售价', 1, 1633771215),
(170, 7, 166, 'price', 'string', 'array:销售价', 1, 1633771215),
(171, 7, 170, 'list', 'string', 'array:list', 1, 1633771215),
(172, 7, 170, 'min', 'string', 'array:min', 1, 1633771215),
(173, 7, 172, 'price', 'string', '100', 1, 1633771215),
(174, 7, 172, 's_price', 'string', '120', 1, 1633771215),
(175, 7, 170, 'value', 'string', '100', 1, 1633771215),
(176, 7, 170, 'max', 'string', 'array:max', 1, 1633771215),
(177, 7, 166, 's_price', 'string', '市场价', 1, 1633771215),
(178, 7, 166, 'cover', 'string', '封面图', 1, 1633771215),
(179, 7, 166, 'video', 'int', '视频', 1, 1633771215),
(180, 7, 166, 'pic', 'string', '多张图片', 1, 1633771215),
(181, 7, 166, 'content', 'string', '内容', 1, 1633771215),
(182, 7, 166, 'cdate_string', 'string', '发布时间', 1, 1633771215),
(183, 7, 171, '1-1', 'string', 'array:1-1', 1, 1633772835),
(184, 7, 183, 'id', 'int', '2', 1, 1633772835),
(185, 7, 183, 'info_id', 'int', '10000001', 1, 1633772835),
(186, 7, 183, 'key', 'string', '1-1', 1, 1633772835),
(187, 7, 183, 'attr', 'string', '[{\"id\":\"1\",\"attr_id\":\"1\"}]', 1, 1633772835),
(188, 7, 183, 'price', 'string', '10', 1, 1633772835),
(189, 7, 183, 's_price', 'string', '5', 1, 1633772835),
(190, 7, 183, 'f_price', 'string', '3', 1, 1633772835),
(191, 7, 183, 'num', 'string', '100', 1, 1633772835),
(192, 7, 183, 'sell_num', 'string', '0', 1, 1633772835),
(193, 7, 183, 'reorder', 'string', '1', 1, 1633772835),
(194, 7, 183, 'state', 'string', '1', 1, 1633772835),
(195, 7, 183, 'cdate', 'string', '1633772710', 1, 1633772835),
(196, 7, 171, '1-2', 'string', 'array:1-2', 1, 1633772835),
(197, 7, 196, 'id', 'int', '1', 1, 1633772835),
(198, 7, 196, 'info_id', 'int', '10000001', 1, 1633772835),
(199, 7, 196, 'key', 'string', '1-2', 1, 1633772835),
(200, 7, 196, 'attr', 'string', '[{\"id\":\"2\",\"attr_id\":\"1\"}]', 1, 1633772835),
(201, 7, 196, 'price', 'string', '20', 1, 1633772835),
(202, 7, 196, 's_price', 'string', '10', 1, 1633772835),
(203, 7, 196, 'f_price', 'string', '6', 1, 1633772835),
(204, 7, 196, 'num', 'string', '100', 1, 1633772835),
(205, 7, 196, 'sell_num', 'string', '0', 1, 1633772835),
(206, 7, 196, 'reorder', 'string', '1', 1, 1633772835),
(207, 7, 196, 'state', 'string', '1', 1, 1633772835),
(208, 7, 196, 'cdate', 'string', '1633772710', 1, 1633772835),
(209, 7, 172, 'id', 'int', '2', 1, 1633772835),
(210, 7, 172, 'info_id', 'int', '10000001', 1, 1633772835),
(211, 7, 172, 'key', 'string', '1-1', 1, 1633772835),
(212, 7, 172, 'attr', 'string', '[{\"id\":\"1\",\"attr_id\":\"1\"}]', 1, 1633772835),
(213, 7, 172, 'f_price', 'string', '3', 1, 1633772835),
(214, 7, 172, 'num', 'string', '100', 1, 1633772835),
(215, 7, 172, 'sell_num', 'string', '0', 1, 1633772835),
(216, 7, 172, 'reorder', 'string', '1', 1, 1633772835),
(217, 7, 172, 'state', 'string', '1', 1, 1633772835),
(218, 7, 172, 'cdate', 'string', '1633772710', 1, 1633772835),
(219, 7, 176, 'id', 'int', '1', 1, 1633772835),
(220, 7, 176, 'info_id', 'int', '10000001', 1, 1633772835),
(221, 7, 176, 'key', 'string', '1-2', 1, 1633772835),
(222, 7, 176, 'attr', 'string', '[{\"id\":\"2\",\"attr_id\":\"1\"}]', 1, 1633772835),
(223, 7, 176, 'price', 'string', '20', 1, 1633772835),
(224, 7, 176, 's_price', 'string', '10', 1, 1633772835),
(225, 7, 176, 'f_price', 'string', '6', 1, 1633772835),
(226, 7, 176, 'num', 'string', '100', 1, 1633772835),
(227, 7, 176, 'sell_num', 'string', '0', 1, 1633772835),
(228, 7, 176, 'reorder', 'string', '1', 1, 1633772835),
(229, 7, 176, 'state', 'string', '1', 1, 1633772835),
(230, 7, 176, 'cdate', 'string', '1633772710', 1, 1633772835),
(231, 7, 166, 'category_array', 'string', '冷冻鲜品', 1, 1633772835),
(232, 7, 166, 'sell_attr', 'string', 'array:sell_attr', 1, 1633772835),
(233, 7, 232, 'id', 'int', '1', 1, 1633772835),
(234, 7, 232, 'name', 'string', '份数', 1, 1633772835),
(235, 7, 232, 'cate_id', 'int', '1', 1, 1633772835),
(236, 7, 232, 'is_must', 'string', '1', 1, 1633772835),
(237, 7, 232, 'is_sell', 'string', '2', 1, 1633772835),
(238, 7, 232, 'type', 'string', '11', 1, 1633772835),
(239, 7, 232, 'data_type', 'string', '1', 1, 1633772835),
(240, 7, 232, 'match', 'string', NULL, 1, 1633772835),
(241, 7, 232, 'list_reorder', 'string', '1', 1, 1633772835),
(242, 7, 232, 'search_reorder', 'string', '1', 1, 1633772835),
(243, 7, 232, 'view_reorder', 'string', '1', 1, 1633772835),
(244, 7, 232, 'unit', 'string', NULL, 1, 1633772835),
(245, 7, 232, 'ename', 'string', NULL, 1, 1633772835),
(246, 7, 232, 'icon', 'string', NULL, 1, 1633772835),
(247, 7, 232, 'color', 'string', NULL, 1, 1633772835),
(248, 7, 232, 'bgcolor', 'string', NULL, 1, 1633772835),
(249, 7, 232, 'state', 'string', '1', 1, 1633772835),
(250, 7, 232, 'cdate', 'string', '1633689347', 1, 1633772835),
(251, 7, 232, 'value', 'string', '2,1', 1, 1633772835),
(252, 7, 232, 'value_string', 'string', '2人份,1人份', 1, 1633772835),
(253, 7, 232, 'bg', 'string', 'background-image: url()', 1, 1633772835),
(254, 7, 232, 'pic', 'string', '<img src=\"\" width=\"18\" />', 1, 1633772835),
(255, 7, 232, 'option_sku', 'string', 'array:option_sku', 1, 1633772835),
(256, 7, 255, 'id', 'int', '2', 1, 1633772835),
(257, 7, 255, 'info_id', 'int', '1', 1, 1633772835),
(258, 7, 255, 'name', 'string', '2人份', 1, 1633772835),
(259, 7, 255, 'icon', 'string', NULL, 1, 1633772835),
(260, 7, 255, 'value', 'string', '1-2', 1, 1633772835),
(261, 7, 166, 'attr', 'string', 'array:attr', 1, 1633772835),
(262, 7, 261, 'id', 'int', '1', 1, 1633772835),
(263, 7, 261, 'name', 'string', '份数', 1, 1633772835),
(264, 7, 261, 'cate_id', 'int', '1', 1, 1633772835),
(265, 7, 261, 'is_must', 'string', '1', 1, 1633772835),
(266, 7, 261, 'is_sell', 'string', '2', 1, 1633772835),
(267, 7, 261, 'type', 'string', '11', 1, 1633772835),
(268, 7, 261, 'data_type', 'string', '1', 1, 1633772835),
(269, 7, 261, 'match', 'string', NULL, 1, 1633772835),
(270, 7, 261, 'list_reorder', 'string', '1', 1, 1633772835),
(271, 7, 261, 'search_reorder', 'string', '1', 1, 1633772835),
(272, 7, 261, 'view_reorder', 'string', '1', 1, 1633772835),
(273, 7, 261, 'unit', 'string', NULL, 1, 1633772835),
(274, 7, 261, 'ename', 'string', NULL, 1, 1633772835),
(275, 7, 261, 'icon', 'string', NULL, 1, 1633772835),
(276, 7, 261, 'color', 'string', NULL, 1, 1633772835),
(277, 7, 261, 'bgcolor', 'string', NULL, 1, 1633772835),
(278, 7, 261, 'state', 'string', '1', 1, 1633772835),
(279, 7, 261, 'cdate', 'string', '1633689347', 1, 1633772835),
(280, 7, 261, 'value', 'string', '2,1', 1, 1633772835),
(281, 7, 261, 'option', 'string', 'array:option', 1, 1633772835),
(282, 7, 281, 'id', 'int', '2', 1, 1633772835),
(283, 7, 281, 'info_id', 'int', '1', 1, 1633772835),
(284, 7, 281, 'name', 'string', '2人份', 1, 1633772835),
(285, 7, 281, 'value', 'string', NULL, 1, 1633772835),
(286, 7, 281, 'icon', 'string', NULL, 1, 1633772835),
(287, 7, 281, 'reorder', 'string', '1', 1, 1633772835),
(288, 7, 281, 'state', 'string', '1', 1, 1633772835),
(289, 7, 281, 'cdate', 'string', '1633771684', 1, 1633772835),
(290, 7, 261, 'value_string', 'string', '2人份,1人份', 1, 1633772835),
(291, 7, 261, 'bg', 'string', 'background-image: url()', 1, 1633772835),
(292, 7, 261, 'pic', 'string', '<img src=\"\" width=\"18\" />', 1, 1633772835),
(293, 9, -1, 'msg', 'string', '1', 1, 1633776418),
(294, 8, -1, 'id', 'int', '1', 1, 1633776450),
(295, 8, -1, 'uid', 'int', '1', 1, 1633776450),
(296, 8, -1, 'shop_id', 'int', '1', 1, 1633776450),
(297, 8, -1, 'goods_id', 'int', '10000001', 1, 1633776450),
(298, 8, -1, 'sku_id', 'int', '0', 1, 1633776450),
(299, 8, -1, 'num', 'string', '数量', 1, 1633776450),
(300, 8, -1, 'status', 'string', '1', 1, 1633776450),
(301, 8, -1, 'state', 'string', '1', 1, 1633776450),
(302, 8, -1, 'cdate', 'string', '1633776433', 1, 1633776450),
(303, 8, -1, 'goods', 'string', '见商品详情', 1, 1633776450),
(304, 8, 303, 'id', 'int', '10000001', 1, 1633776450),
(305, 8, 303, 'name', 'string', '多组商品', 1, 1633776450),
(306, 8, 303, 'category', 'string', '1', 1, 1633776450),
(307, 8, 303, 'top_category_id', 'int', '1', 1, 1633776450),
(308, 8, 303, 'second_category_id', 'int', '1', 1, 1633776450),
(309, 8, 303, 'category_id', 'int', '1', 1, 1633776450),
(310, 8, 303, 'area', 'string', '110000', 1, 1633776450),
(311, 8, 303, 'mode', 'string', '3', 1, 1633776450),
(312, 8, 303, 'price_type', 'string', '2', 1, 1633776450),
(313, 8, 303, 'price', 'string', NULL, 1, 1633776450),
(314, 8, 303, 's_price', 'string', NULL, 1, 1633776450),
(315, 8, 303, 'f_price', 'string', NULL, 1, 1633776450),
(316, 8, 303, 'cover', 'string', '{uploadRes}1/2021/10/08/c2d24eb14a49336964877325bd188c88.jpg', 1, 1633776450),
(317, 8, 303, 'video', 'int', NULL, 1, 1633776450),
(318, 8, 303, 'pic', 'string', NULL, 1, 1633776450),
(319, 8, 303, 'top', 'string', '2', 1, 1633776450),
(320, 8, 303, 'youhui', 'string', '2', 1, 1633776450),
(321, 8, 303, 'content', 'string', NULL, 1, 1633776450),
(322, 8, 303, 'status', 'string', '1', 1, 1633776450),
(323, 8, 303, 'reorder', 'string', '1', 1, 1633776450),
(324, 8, 303, 'state', 'string', '1', 1, 1633776450),
(325, 8, 303, 'udate', 'string', '1633689519', 1, 1633776450),
(326, 8, 303, 'cdate', 'string', '1633689519', 1, 1633776450),
(327, 8, 303, 'sku_id', 'int', '0', 1, 1633776450),
(328, 10, -1, 'msg', 'string', 'ok', 1, 1633776702),
(329, 11, -1, 'msg', 'string', 'ok', 1, 1633776906);

--
-- 转储表的索引
--

--
-- 表的索引 `churen_manage_api`
--
ALTER TABLE `churen_manage_api`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `churen_manage_api_request`
--
ALTER TABLE `churen_manage_api_request`
  ADD PRIMARY KEY (`id`);

--
-- 表的索引 `churen_manage_api_response`
--
ALTER TABLE `churen_manage_api_response`
  ADD PRIMARY KEY (`id`);

--
-- 在导出的表使用AUTO_INCREMENT
--

--
-- 使用表AUTO_INCREMENT `churen_manage_api`
--
ALTER TABLE `churen_manage_api`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID', AUTO_INCREMENT=12;

--
-- 使用表AUTO_INCREMENT `churen_manage_api_request`
--
ALTER TABLE `churen_manage_api_request`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID', AUTO_INCREMENT=42;

--
-- 使用表AUTO_INCREMENT `churen_manage_api_response`
--
ALTER TABLE `churen_manage_api_response`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID', AUTO_INCREMENT=330;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
