<?php

namespace Main\Src;

use Dever;
use Main\Lib\Core;

class Api
{
    # 基本配置
    public function config()
    {
        $data = Dever::db('main/config')->one();

        $result = array();
        $result['system_name'] = $data['name'];
        $result['system_info'] = $data['info'];
        $result['system_logo'] = $data['logo'];

        return $result;
    }

    # 获取帮助列表
    public function help()
    {
        $type = Dever::input('type', 1);
        if (!$type) {
            Dever::alert('您访问的页面有误');
        }
        $where['type'] = $type;
        $data = Dever::db('main/help')->select_page($where);

        return $data;
    }

    # 获取帮助详情
    public function help_view()
    {
        $id = Dever::input('id');
        $data = Dever::db('main/help')->find($id);

        return $data;
    }
}